List Downloads
GET
/utilities/downloads
const url = 'https://sylve.lan:8181/api/utilities/downloads';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/utilities/downloads \ --header 'Authorization: <Authorization>'List downloader records and their current transfer or processing state
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
automaticExtraction
boolean
automaticRawConversion
boolean
createdAt
string
error
string
extractedPath
string
files
Array<object>
object
download
object recursive
downloadId
integer
id
integer
name
string
size
integer
id
integer
ignoreTLS
boolean
name
string
path
string
progress
integer
size
integer
status
string
type
string
uType
string
updatedAt
string
url
string
uuid
string
error
string
message
string
status
string
Example
{ "data": [ { "status": "pending", "type": "http", "uType": "base-rootfs" } ]}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}